Subject: [Sip] Re: draft-ietf-sip-target-dialog

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 23 Oct 2005 00:54:44 -0400

Thanks for the comments. I've incorporated them into the next revision.

Details inline.

Fridy Sharon-Fridman wrote:

> Hi,
> 
>  
> 
> Few questions on this:
> 
> 1)       Why NOTIFY is mentioned in paragraph 1 as a dialog creation 
> transaction? (perhaps alongside SUBSCRIBE but it may be confusing). 
> Indeed NOTIFY is not marked in section 7.

Removed notify.

> 
> 2)       Relating to below:
> 
> Instead, a better approach is for user agent A to send the
> 
> REFER request to user agent C outside of the dialog using its
> 
> Globally Routable User Agent URI (GRUU) [9].  In that case, a means
> 
> is needed for user agent B to authorize the REFER
> 
> As A transfers B to C, A send OOB REFER to C as said above in the first 
> sentence. The 2^nd one may be confusing as B is not part of that REFER. 
> B needs to authorize C.

Good catch. This is a bug; it should say user aget B not C.

> 
> 3)       Chapter 2 seems to be overview ONLY of the app interaction use 
> case outline in 1 (and not others, e.g. not a general overview…).

Fixed.

> 
> 4)       3.2 indicates a use case of SUBSCRIBE to conference EP. This 
> can be highlighted in 1, or just generalized in 1 use case talking about 
> SUBSCRIBE, referring to both dialog and conference EP or being general 
> without mentioning either.

All of the use cases don't need to appear in section 1. I liked the fact 
that there was a new one in this scetion - otherwise, it seems like the 
use cases are finite and all listed up front.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip